"""
Contains all setup information
"""

import pathlib
from setuptools import setup, find_packages

HERE = pathlib.Path(__file__).parent

VERSION = '1.0.1'
PACKAGE_NAME = 'BICAMSZ'
AUTHOR = 'Stijn Denissen'
AUTHOR_EMAIL = 'stijndenissen94@gmail.com'
URL = 'https://github.com/sdniss/BICAMSZ'

LICENSE = 'MIT License'
DESCRIPTION = 'Tools to convert BICAMS scores to z scores in a Belgian (Dutch) population'
LONG_DESCRIPTION = (HERE / "README.md").read_text()
LONG_DESC_TYPE = "text/markdown"

INSTALL_REQUIRES = [
      'numpy',
      'pandas'
]

setup(name=PACKAGE_NAME,
      version=VERSION,
      description=DESCRIPTION,
      long_description=LONG_DESCRIPTION,
      long_description_content_type=LONG_DESC_TYPE,
      author=AUTHOR,
      license=LICENSE,
      author_email=AUTHOR_EMAIL,
      url=URL,
      install_requires=INSTALL_REQUIRES,
      packages=find_packages()
      )
